FREEFOAM-PLOT3DTOFOAM(1)

NAME
freefoam-plot3dToFoam - Plot3d mesh (ascii/formatted format) converter.

SYNOPSIS

freefoam plot3dToFoam <PLOT3D geom file> [-help] [-scale <number>] [-singleBlock] [-srcDoc] [-doc] [-noBlank] [-2D <thickness>] [-case <dir>]

DESCRIPTION

Work in progress! Handles ascii multiblock (and optionally singleBlock) format. By default expects blanking. Use -noBlank if none. Use -2D thickness if 2D.

Niklas Nordin has experienced a problem with lefthandedness of the blocks. The code should detect this automatically - see hexBlock::readPoints but if this goes wrong just set the blockHandedness_ variable to right always.

OPTIONS

<PLOT3D geom file>
    TODO Detailed description of argument.

-noBlank
    Do not expect blanking.

-2D <thickness>
    Data is 2D.

-singleBlock
    Data is in a single block.

-scale <number>
    Scale factor.

-case <dir>
    Case directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.